package com.bcxin.ins.supply.business.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 保险业务公用对象
 * @author hzp
 * @date 2018/06/25
 */
public class InsureCommonView implements Serializable {

    /** 交易类型 */
    private String transType;
    /**  */
    private String tbCode;
    /** 订单 */
    private InsureOrderView orderView;
    /** 保单 */
    private InsureAgreementView agreementView;
    /** 交易 */
    private InsureTransactionView transactionView;
    /** 承保 */
    private InsureUnderwriteView underwriteView;

    /** 投保人信息 */
    private InsureRoleInpolicyView policyHolderView;

    /** 受益人信息 */
    private List<InsureRoleInpolicyView> benefitViewList;

    /** 邮寄 */
    private InsureMailPolicyView mailPostView;

    public InsureOrderView getOrderView() {
        return orderView;
    }

    public void setOrderView(InsureOrderView orderView) {
        this.orderView = orderView;
    }

    public InsureAgreementView getAgreementView() {
        return agreementView;
    }

    public void setAgreementView(InsureAgreementView agreementView) {
        this.agreementView = agreementView;
    }

    public InsureTransactionView getTransactionView() {
        return transactionView;
    }

    public void setTransactionView(InsureTransactionView transactionView) {
        this.transactionView = transactionView;
    }

    public InsureUnderwriteView getUnderwriteView() {
        return underwriteView;
    }

    public void setUnderwriteView(InsureUnderwriteView underwriteView) {
        this.underwriteView = underwriteView;
    }

    public InsureRoleInpolicyView getPolicyHolderView() {
        return policyHolderView;
    }

    public void setPolicyHolderView(InsureRoleInpolicyView policyHolderView) {
        this.policyHolderView = policyHolderView;
    }

    public List<InsureRoleInpolicyView> getBenefitViewList() {
        return benefitViewList;
    }

    public void setBenefitViewList(List<InsureRoleInpolicyView> benefitViewList) {
        this.benefitViewList = benefitViewList;
    }

    public InsureMailPolicyView getMailPostView() {
        return mailPostView;
    }

    public void setMailPostView(InsureMailPolicyView mailPostView) {
        this.mailPostView = mailPostView;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }

    public String getTbCode() {
        return tbCode;
    }

    public void setTbCode(String tbCode) {
        this.tbCode = tbCode;
    }
}
